Bullet Collision Detection & Physics Library: btCollisionWorld::AllHitsRayResultCallback Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btCollisionWorld::AllHitsRayResultCallback Struct Reference

`#include <btCollisionWorld.h>`

Inheritance diagram for btCollisionWorld::AllHitsRayResultCallback:
[legend]
Collaboration diagram for btCollisionWorld::AllHitsRayResultCallback:
[legend]

## Public Member Functions
| AllHitsRayResultCallback (const btVector3 &rayFromWorld, const btVector3 &rayToWorld)
virtual btScalar | addSingleResult (LocalRayResult &rayResult, bool normalInWorldSpace)
Public Member Functions inherited from btCollisionWorld::RayResultCallback
virtual | ~RayResultCallback ()
bool | hasHit () const
| RayResultCallback ()
virtual bool | needsCollision (btBroadphaseProxy *proxy0) const
virtual btScalar | addSingleResult (LocalRayResult &rayResult, bool normalInWorldSpace)=0

## Public Attributes
btAlignedObjectArray< const btCollisionObject * > | m_collisionObjects
btVector3 | m_rayFromWorld
btVector3 | m_rayToWorld
btAlignedObjectArray< btVector3 > | m_hitNormalWorld
btAlignedObjectArray< btVector3 > | m_hitPointWorld
btAlignedObjectArray< btScalar > | m_hitFractions
Public Attributes inherited from btCollisionWorld::RayResultCallback
btScalar | m_closestHitFraction
const btCollisionObject * | m_collisionObject
int | m_collisionFilterGroup
int | m_collisionFilterMask
unsigned int | m_flags

## Detailed Description

Definition at line 267 of file btCollisionWorld.h.

## Constructor & Destructor Documentation

## ◆ AllHitsRayResultCallback()

btCollisionWorld::AllHitsRayResultCallback::AllHitsRayResultCallback | ( | const btVector3 & | rayFromWorld,
|  | const btVector3 & | rayToWorld
| ) |  |
| inline

Definition at line 269 of file btCollisionWorld.h.

## Member Function Documentation

## ◆ addSingleResult()

virtual btScalar btCollisionWorld::AllHitsRayResultCallback::addSingleResult | ( | LocalRayResult & | rayResult,
|  | bool | normalInWorldSpace
| ) |  |
| inlinevirtual

need to transform normal into worldspace

Implements btCollisionWorld::RayResultCallback.

Definition at line 284 of file btCollisionWorld.h.

## Member Data Documentation

## ◆ m_collisionObjects

btAlignedObjectArray<const btCollisionObject*> btCollisionWorld::AllHitsRayResultCallback::m_collisionObjects

Definition at line 275 of file btCollisionWorld.h.

## ◆ m_hitFractions

btAlignedObjectArray<btScalar> btCollisionWorld::AllHitsRayResultCallback::m_hitFractions

Definition at line 282 of file btCollisionWorld.h.

## ◆ m_hitNormalWorld

btAlignedObjectArray<btVector3> btCollisionWorld::AllHitsRayResultCallback::m_hitNormalWorld

Definition at line 280 of file btCollisionWorld.h.

## ◆ m_hitPointWorld

btAlignedObjectArray<btVector3> btCollisionWorld::AllHitsRayResultCallback::m_hitPointWorld

Definition at line 281 of file btCollisionWorld.h.

## ◆ m_rayFromWorld

btVector3 btCollisionWorld::AllHitsRayResultCallback::m_rayFromWorld

Definition at line 277 of file btCollisionWorld.h.

## ◆ m_rayToWorld

btVector3 btCollisionWorld::AllHitsRayResultCallback::m_rayToWorld

Definition at line 278 of file btCollisionWorld.h.

The documentation for this struct was generated from the following file:

- btCollisionWorld.h